Skip to main content
`Ctrl`+`K`

# SNESLineSearchVINormFn

A prototype of a `SNES` function that computes the norm of the active set variables in a vector in a variational inequality (VI) solve, passed to `SNESLineSearchSetVIFunctions()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode          SNESLineSearchVINormFn(SNES snes, Vec f, Vec u, PetscReal *fnorm);

## Calling Sequence

- snes - `SNES` context

- f - the vector to compute the norm of

- u - the current solution, entries that are on the variational inequality (VI) bounds are ignored

- fnorm - the resulting norm

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`

## Level

advanced

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages